Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.identity
Class SecurityBridge

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.core.identity.SecurityBridge

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, IdentityEventListener, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class SecurityBridge

extends AbstractJBossService
implements IdentityEventListener

Use identity destroy events to destroy corresponding dashboards.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`SecurityBridge()`

Method Summary
`org.jboss.security.auth.login.DynamicLoginConfigMBean` | `getDynamicLoginConfig()`
`IdentityEventEmitter` | `getIdentityEventEmitter()`
`void` | `onEvent(IdentityEvent event)` Fire event on the listener.
`void` | `setDynamicLoginConfig(org.jboss.security.auth.login.DynamicLoginConfigMBean dynamicLoginConfig)`
`void` | `setIdentityEventEmitter(IdentityEventEmitter identityEventEmitter)`
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityBridge

    public SecurityBridge()

Method Detail

### getIdentityEventEmitter

    public IdentityEventEmitter getIdentityEventEmitter()

### setIdentityEventEmitter

    public void setIdentityEventEmitter(IdentityEventEmitter identityEventEmitter)

### getDynamicLoginConfig

    public org.jboss.security.auth.login.DynamicLoginConfigMBean getDynamicLoginConfig()

### setDynamicLoginConfig

    public void setDynamicLoginConfig(org.jboss.security.auth.login.DynamicLoginConfigMBean dynamicLoginConfig)

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### stopService

    protected void stopService()
                        throws java.lang.Exception

  Overrides:
    `stopService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### onEvent

    public void onEvent(IdentityEvent event)

  Description copied from interface: `IdentityEventListener`
  Fire event on the listener.

  Specified by:
    `onEvent` in interface `IdentityEventListener`
  Parameters:
    `event` - the identity event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD